// #autoload
// #name = _ZPackInvWeapon
// #category = ZephyrFox's Scripts
// #description = Makes the weapons hud horizontal and aligns the pack, inventory and weapons huds across the bottom of the screen.
// #version = 0.7
// #date = 12.10.2003
// #status = testing
// #author = Anthony Vrabel
// #warrior = ZephyrFox
// #email = ZephyrFox@hotmail.com
// #web = www.zephyrfox.com
// #credits = SS and PJ
// #readme =
// #include = support/callback.cs
// #include = support/loadout.cs

$ZPIW::hideHUDs = 1;

if(!isObject(ZPIW))
{
	new ScriptObject(ZPIW)
	{
		class = ZPIW;
		version = "0.7";
	};
}

package ZPIWoverloads
{
	function connect(%address, %password, %playerName, %playerRaceGender, %playerSkin, %playerVoice, %playerVoicePitch)
	{
		ZPIW.setupHUDs();

		parent::connect(%address, %password, %playerName, %playerRaceGender, %playerSkin, %playerVoice, %playerVoicePitch);
	}

	function StartHostedGame()
	{
		ZPIW.setupHUDs();

		parent::StartHostedGame();
	}
};
if(isActivePackage(ZPIWoverloads)) deactivatePackage(ZPIWoverloads);
activatePackage(ZPIWoverloads);

function ZPIW::setup(%this)
{
	callback.add(playerSpawn, "ZPIW.setPos");

	%Hres = getWord($pref::Video::resolution, 0);
	%Vres = getWord($pref::Video::resolution, 1);

	%Xpos = (%Hres*2)/3;
	%Ypos = %Vres-46;
}

function ZPIW::setPos(%this)
{
	backpackFrame.position = %Xpos SPC %Ypos;
//	backpackFrame.extent = getWord(backpackFrame.extent, 0) @ " 37";
	backpackIcon.position = "1 5";

	inventoryHud.position = %Xpos+29 SPC %Ypos;
//	inventoryHud.extent = getWord(inventoryHud.extent, 0) @ " 37";
//	inventoryHud.extent = "244 38";

	weaponsHud.position = %Xpos+145 SPC %Ypos;
//	weaponsHud.extent = getWord(weaponsHud.extent, 0) @ " 37";
//	weaponsHud.extent = "244 38";
}

function ZPIW::setupHUDs(%this)
{
	if($ZPIW::hideHUDs)
	{
		playgui.remove(weaponsHud);
		playgui.remove(inventoryHud);
		playgui.remove(backpackFrame);

		return;
	}

	weaponsHud.delete();
	new HudInventory(weaponsHud)
	{
		profile = "GuiHudCounterProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "0 0";
		extent = "0 0";
		minExtent = "8 8";
		visible = "1";
		setFirstResponder = "0";
		modal = "1";
		helpTag = "0";
		fillColor = "0.250000 0.250000 0.250000 0.250000";
		frameColor = "0.000000 1.000000 0.000000 1.000000";
		opacity = "0.9";
		ammoOffset = "6 24";
		backGroundOffset = "0 0";
		highLightOffset = "0 0";
		iconOffset = "1 1";
		backGroundSpace = "2";
	};
	playgui.add(weaponsHud);

	inventoryHud.delete();
	new HudInventory(inventoryHud)
	{
		profile = "GuiHudCounterProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "0 0";
		extent = "0 0";
		minExtent = "8 8";
		visible = "1";
		setFirstResponder = "0";
		modal = "1";
		helpTag = "0";
		fillColor = "0.250000 0.250000 0.250000 0.250000";
		frameColor = "0.000000 1.000000 0.000000 1.000000";
		opacity = "0.9";
		ammoOffset = "6 24";
		backGroundOffset = "0 0";
		highLightOffset = "0 0";
		iconOffset = "1 1";
		backGroundSpace = "2";
	};
	playgui.add(inventoryHud);
}

ZPIW.setup();